## cl-esrap 20151218

=== web/Makefile ===
.PHONY: clean

all: index.html

index.html: ../doc/esrap.html ../tools/analytics.script
	sbcl --script ../tools/splice-to-head.lisp ../tools/analytics.script \
	  < ../doc/esrap.html > index.html

clean:
	rm -f *~ *.lisp *.lisp.html \#*

## cl-esrap 20140826

=== debian/changelog ===
cl-esrap (20140826-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 15 Sep 2014 01:03:45 +0400

cl-esrap (20140713-2) unstable; urgency=medium

  * Fix debian/copyright

 -- Dimitri Fontaine <dim@tapoueh.org>  Fri, 22 Aug 2014 16:51:21 +0400

cl-esrap (20140713-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 04 Aug 2014 23:57:12 +0400

=== debian/control ===
Source: cl-esrap
Section: lisp
Priority: optional
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: dh-lisp
Standards-Version: 3.9.5
Homepage: http://nikodemus.github.io/esrap/
Vcs-Git: git://github.com/nikodemus/esrap.git
Vcs-Browser: http://github.com/nikodemus/esrap

Package: cl-esrap
Architecture: all
Depends: ${misc:Depends}, cl-alexandria
Description: Packrat Parsing library for Common Lisp
 In addition to regular Packrat / Parsing Grammar / TDPL features Esrap
 supports dynamic redefinition of nonterminals, inline grammars, semantic
 predicates, and include introspecive facilities for development.

## cl-esrap 20141217

=== debian/changelog ===
cl-esrap (20141217-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 18 Dec 2014 18:13:49 +0300

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= esrap
clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)

%:
	dh $@ --with lisp

override_dh_install:
	dh_install $(pkg).asd $(clc-files)
	dh_install *.lisp $(clc-files)

override_dh_link:
	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd

override_dh_installdocs:
	dh_installdocs README

## cl-esrap 20150113

=== debian/changelog ===
cl-esrap (20150113-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 14 Jan 2015 00:57:05 +0300

## cl-esrap 20150302

=== debian/changelog ===
cl-esrap (20150302-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sat, 02 May 2015 17:01:38 +0300

## cl-esrap 20150608

=== debian/changelog ===
cl-esrap (20150608-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 15 Jul 2015 16:44:57 +0300

## cl-esrap 20150804

=== debian/changelog ===
cl-esrap (20150804-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 02 Sep 2015 16:21:57 +0300

## cl-esrap 20151031

=== debian/changelog ===
cl-esrap (20151031-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 02 Nov 2015 20:33:53 +0300

## cl-esrap 20151218

=== debian/changelog ===
cl-esrap (20151218-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 17 Jan 2016 19:31:44 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://nikodemus.github.io/esrap/
 Vcs-Git: git://github.com/nikodemus/esrap.git
 Vcs-Browser: http://github.com/nikodemus/esrap

=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,4 @@
 	dh_link $(clc-files)/$(pkg).asd $(clc-systems)/$(pkg).asd
 
 override_dh_installdocs:
-	dh_installdocs README
+	dh_installdocs README.org

## cl-esrap 20160318

=== debian/changelog ===
cl-esrap (20160318-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 06 Apr 2016 21:49:22 +0300

## cl-esrap 20160825

=== debian/changelog ===
cl-esrap (20160825-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Mon, 29 Aug 2016 21:55:27 +0300

## cl-esrap 20161031

=== debian/changelog ===
cl-esrap (20161031-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Sun, 20 Nov 2016 19:45:50 +0300

## cl-esrap 20170630

=== web/Makefile ===
.PHONY: clean

all: index.html

index.html: ../doc/esrap.html
	cp ../doc/esrap.html index.html

clean:
	rm -f *~ *.lisp *.lisp.html \#*

=== debian/changelog ===
cl-esrap (20170630-1~pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg (jenkins-cl-esrap-source-
    distribution=stretch-8, Debian unstable source rebuild)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 12 Jul 2017 15:02:33 +0200

cl-esrap (20170630-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Thu, 06 Jul 2017 16:28:59 +0300

## cl-esrap 20180430

=== Makefile ===
.PHONY: doc web wc clean all test

all:
	echo "Targets: clean, wc, doc, test, web"

clean:
	rm -f *.fasl *~
	make -C doc clean
	make -C web clean

wc:
	wc -l *.lisp

doc:
	make -C doc

web: doc
	make -C web

gh-pages: web
	rm -rf web-tmp
	mv web web-tmp
	git checkout gh-pages
	cp web-tmp/index.html .
	git commit -a -c master
	mv web-tmp web
	git checkout -f master

=== debian/changelog ===
cl-esrap (20180430-1) unstable; urgency=medium

  * Quicklisp release update.

 -- Dimitri Fontaine <dim@tapoueh.org>  Wed, 16 May 2018 09:48:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: dh-lisp
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 Homepage: http://nikodemus.github.io/esrap/
 Vcs-Git: git://github.com/nikodemus/esrap.git
 Vcs-Browser: http://github.com/nikodemus/esrap

## cl-esrap 20211008.gitc99c33a

=== debian/changelog ===
cl-esrap (20211008.gitc99c33a-1) unstable; urgency=medium

  * New upstream snapshot
  * Add debian/watch. Tracks scymtym’s fork as is now done by Quicklisp.
  * Move under Debian Common Lisp Team maintenance. Thanks to Dimitri Fontaine
    for his work on this package.
  * Bump to debhelper 13
  * Bump Standards-Version to 4.6.0
  * Remove Build-Depends on dh-lisp
  * Add Rules-Requires-Root: no
  * Update Vcs-* fields for move to salsa
  * Mark as M-A foreign
  * Switch Homepage to new upstream
  * d/copyright: reflect upstream changes
  * Simplify debian/rules
  * Add Recommends on cl-fiveam for testsuite
  * Add sbcl, cl-alexandria and texinfo to Build-Depends for documentation
  * doc-asdf-cache.patch: new patch, needed for building doc on build daemons
  * Ship generated documentation and register it to doc-base
  * drop-with-current-source-form.patch: new patch, removes dependency on
    Common Lisp package with-current-source-form
  * Add autopkgtest that runs the testsuite under sbcl

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Dec 2021 15:01:41 +0100

cl-esrap (20180430-1.2) unstable; urgency=medium

  * Non-maintainer upload with patch provided by Ubuntu, thanks!

  [ Simon Chopin ]
  * d/p/function-type-no-star.patch: Fix invalid syntax, breaking since
    sbcl >= 2.1.9

 -- Christoph Berg <myon@debian.org>  Thu, 09 Dec 2021 15:48:22 +0100

cl-esrap (20180430-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:21:58 +0100

=== debian/control ===
Source: cl-esrap
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 13),
               sbcl,
               cl-alexandria,
               texinfo
Standards-Version: 4.6.0
Homepage: https://scymtym.github.io/esrap/
Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-esrap.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-esrap
Rules-Requires-Root: no

Package: cl-esrap
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-alexandria
Recommends: cl-fiveam
Description: Packrat Parsing library for Common Lisp
 In addition to regular Packrat / Parsing Grammar / TDPL features Esrap
 supports dynamic redefinition of nonterminals, inline grammars, semantic
 predicates, and include introspecive facilities for development.

## cl-esrap 20240514.gitd9d4100

=== debian/changelog ===
cl-esrap (20240514.gitd9d4100-1) unstable; urgency=medium

  * New upstream version 20240514.gitd9d4100
  * Add myself to Uploaders
  * Updated Standards-Version, no changes
  * Improve debian/upstream/metadata

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 01 Dec 2024 13:38:56 +0100

cl-esrap (20211008.gitc99c33a-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 01 Dec 2024 13:37:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Build-Depends: debhelper-compat (= 13),
                sbcl,
                cl-alexandria,
                texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://scymtym.github.io/esrap/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-esrap.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-esrap

## cl-esrap 20250531.gitd643807

=== doc/Makefile ===
.PHONY: clean html include doc

doc: html

clean:
	rm -rf include
	rm -f  *.pdf *.html *.info
	rm -f *.aux *.cp *.fn *.fns *.ky *.log *.pg *.toc *.tp *.tps *.vr

include:
	sbcl                                                                                                    \
	--noinform --disable-ldb --lose-on-corruption                                                           \
	--no-userinit --disable-debugger                                                                        \
	--eval '(require :asdf)'                                                                                \
	--eval '(let ((asdf:*central-registry* (cons #p"../" asdf:*central-registry*))) (require :esrap))'      \
	--load docstrings.lisp                                                                                  \
	--eval '(sb-texinfo:generate-includes "include/" (list :esrap) :base-package :esrap)'                   \
	--quit

esrap.html: esrap.texinfo style.css docstrings.lisp ../*.lisp ../*.asd
	make include
	makeinfo --html --no-split --css-include=style.css esrap.texinfo

html: esrap.html

=== debian/changelog ===
cl-esrap (20250531.gitd643807-1) sid; urgency=medium

  * New upstream version 20250531.gitd643807
  * Updated Standards-Version, no changes
  * Refreshed patches

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Sep 2025 12:03:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                sbcl,
                cl-alexandria,
                texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://scymtym.github.io/esrap/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-esrap.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-esrap

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make doc

=== debian/tests/control ===
Test-Command: sbcl --script debian/tests/runtests.lisp
Depends: @, sbcl, cl-fiveam
Restrictions: allow-stderr

## Some tests currently fail on ecl, clisp and abcl

# Test-Command: ecl -norc -shell debian/tests/runtests.lisp
# Depends: @, ecl, cl-fiveam
# Restrictions: allow-stderr

# Test-Command: clisp -norc debian/tests/runtests.lisp
# Depends: @, clisp, cl-fiveam
# Restrictions: allow-stderr

# Test-Command: abcl --noinit --batch --load debian/tests/runtests.lisp
# Depends: @, abcl, cl-fiveam
# Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd.git%h" \
https://github.com/scymtym/esrap.git \
HEAD debian uupdate
